Bug 430123 - system-config-display sets up mouse poorly on t43 laptop
system-config-display sets up mouse poorly on t43 laptop
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 12:24 EST by Robin Norwood
Modified: 2008-04-11 15:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-11 15:07:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
broken xorg.conf (828 bytes, text/plain)
2008-01-24 12:24 EST, Robin Norwood
no flags Details

  None (edit)
Description Robin Norwood 2008-01-24 12:24:02 EST
Description of problem:

While reproducing bug #428308 I noticed that system-config-display sets up the
mice on my laptop poorly.  It is a t43, with both the touchpad and the
'trackpoint' device.  After running s-c-d, the touchpad works, but the
trackpoint is disabled.  I'll attach the generated xorg.conf.  I don't know what
other information might help.

Here's the smolt profile:
http://smolt.fedoraproject.org/show?UUID=c8dbb9d3-a9bd-4ba6-b92e-4a294ba5a95f

Version-Release number of selected component (if applicable):

[rnorwood@solitude ~]$ rpm -q kernel xorg-x11-server-Xorg system-config-display
kernel-2.6.24-0.147.rc7.git2.fc9
kernel-2.6.24-0.167.rc8.git4.fc9
xorg-x11-server-Xorg-1.4.99.1-0.18.20080107.fc9
system-config-display-1.0.51-5.fc9

How reproducible:

Every time I tried.

Steps to Reproduce:
1. install rawhide on t43 laptop
2. rm xorg.conf
3. run system-config-display
  
Actual results:

Touchpad works, trackpoint nipple does not.

Expected results:

Both should work.

Additional info:

Removing the Synaptics config from the generated xorg.conf causes both touchpad
and trackpoint to work.
Comment 1 Robin Norwood 2008-01-24 12:24:02 EST
Created attachment 292827 [details]
broken xorg.conf
Comment 2 Edouard Bourguignon 2008-02-06 05:07:58 EST
Same problem on Dell Latitude d610
Comment 3 Adam Jackson 2008-04-11 15:07:07 EDT
Sorted in F9, where synaptics configuration happens by magic fairies and pixie dust.

Note You need to log in before you can comment on or make changes to this bug.